package org.wfc.system.domain.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @description: KYC request status enum
 * @since: 2025-01-08
 */
@Getter
@AllArgsConstructor
public enum KycStatusEnum {

    VERIFIED(1, "verified"),
    UNVERIFIED(2, "unverified"),
    PENDING(3, "pending"),
    REJECTED(4, "rejected");        

    private final Integer code;
    private final String desc;
}
